Media Composer SUBSCRIPTION Change – Effective May 30, 2019

Some of our customers may have received an email from Avid titled “Important Information Regarding Your Media Composer Product” recently.  If you did, please know the changes discussed in this email only affect Avid Media Composer subscriptions.

Essentially, those who have a subscription-based license, will only be able to run MC v2018.9 or higher.

Additionally, Dongles sold after December 31, 2019, will only be able to run 2018.12.2 and higher.  More information will be shared later this year.”

 


« Back to the Knowledgebase
Posted in .